Closed Thread
Results 1 to 2 of 2
  1. #1

    Lightbulb Most Compatible Browser

    Dear Glory of Rome Players,

    Please be sure that you are running the game on a browser that we currently support. The most compatible browsers to play Glory of Rome are Mozilla Firefox, Internet Explorer 8, and Google Chrome. Unfortunately, we do not support Internet Explorer 7.

    To upgrade to Internet Explorer 8, please use the following link:
    http://www.microsoft.com/windows/int...ide-sites.aspx
    Note: Please make sure to turn off Compatibility Mode in Internet Explorer 8.

    To download Mozilla Firefox, please use the following link to their website:
    http://www.mozilla.com/en-US/firefox/
    Update: The Glory of Rome team has identified an issue with players using Mozilla Firefox 3.6.
    Please double check your browser version and please use Mozilla Firefox 4.0 or greater to load the game.

    To download Google Chrome, please use the following link to their website:
    http://www.google.com/chrome/intl/en...ome.html?hl=en
    Last edited by Jennifer; 03-30-2011 at 01:05 PM.

  2. #2
    Update for players who use Mozilla FireFox:

    The Glory of Rome team has identified an issue with players using Mozilla Firefox 3.6

    Please double check your browser version and use Mozilla Firefox 4.0 or greater to load the game.

    Thanks for your cooperation!
    Last edited by Jennifer; 03-30-2011 at 07:54 PM.


 
Closed Thread

Liens sociaux

Posting Permissions

  • You may not post new threads
  • You may not post replies
  • You may not post attachments
  • You may not edit your posts
   Top